Bio::Tools::PSort::SVMLoc::DataSet(3pm)

NAME
Bio::Tools::PSort::SVMLoc::DataSet - A DataSet object for the Bio::Tools::PSort::SVMLoc Support Vector Machine.

SYNOPSIS
  use Bio::Tools::PSort::SVMLoc::DataSet;

  # Create a new dataset.
  $ds = new Bio::Tools::PSort::SVMLoc::DataSet(Label => 1,
                                    Data  => [ 0.12, 0.25, 0.33, 0.98 ]);

  # Retrieve/set the label.
  $label = $ds->label();
  $ds->label(1976);

  # Retrieve/set the attribute with an index of 0.
  $attr = $ds->attribute(0);
  $ds->attribute(0, 0.2621);

DESCRIPTION
Bio::Tools::PSort::SVMLoc::DataSet is a representation of the datasets passed to Bio::Tools::PSort::SVMLoc object for training or classification. Each dataset has an associated label, which classifies it as being part of a specific group. A dataset object also has one or more key/value pairs corresponding to the attributes that will be used for classification.

CONSTRUCTORS
 $ds = new Bio::Tools::PSort::SVMLoc::DataSet(Label => 1,
                                   Data  => [ 0.12, 0.25, 0.33, 0.98 ]);

The Bio::Tools::PSort::SVMLoc::DataSet constructor accepts two optional named parameters: Label and Data. Label is used to set the class to which the dataset belongs, and Data is used to set any initial values. Data should be an arrayref of numerical values. Each value in the arrayref is assumed to have a key corresponding to its index in the array.

  ie) In the above example, 0.12 has a key of 0, 0.25 has a key of 1,
      0.33 has a key of 2, etc.

METHODS
  $label = $ds->label();
  $ds->label(1976);

The label method is used to set or retrieve the DataSets label value. Parameters and return values should be numeric values.

  $attr = $ds->attribute(0);
  $ds->attribute(0, 0.2621);

The attribute method is used to set dataset attribute values. If a single value is provided, the method will return the corresponding value. If two value are provided, the method will set the first parameter to the value of the second.

MAINTAINER
Matthew Laird <matt@brinkman.mbb.sfu.ca>

SEE ALSO
Bio::Tools::PSort::SVMLoc